#include <gearlib.h>
#include <log.c/src/log.h>

i32 gr_log_add_file(char* filename) {
    FILE* fd = fopen(filename, "w");
    if(fd == NULL) {
        log_error("Couldn't open file \"%s\"", filename);
        return 1;
    }

    log_add_fp(fd, LOG_INFO);
    log_info("Added file \"%s\" as logging file", filename);
    return 0;
}
